Video Analysis
List video analyses
Returns all video analyses for the authenticated user. Supports pagination and status filtering.
GET
/
video-analyses
List video analyses
curl --request GET \
--url https://app.mavera.io/api/v1/video-analyses \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/video-analyses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/video-analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/video-analyses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "cly1abc2d0001abcdef123456",
"object": "video_analysis",
"status": "pending",
"created_at": 1706380800,
"video_url": "https://your-bucket.s3.amazonaws.com/ad-video.mp4",
"title": "Summer Campaign 2026",
"brand": "Acme Corp",
"product": "Summer Collection",
"primary_intent": "Persuasive",
"secondary_intent": "<string>",
"tertiary_intent": "<string>",
"goal": "<string>",
"chunk_duration": 2,
"frames_per_chunk": 4
}
],
"has_more": false,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Query Parameters
Filter by status.
Available options:
pending, generating, completed, failed Search by title.
Maximum number of results (default 50, max 100).
Required range:
1 <= x <= 100Cursor for pagination.
⌘I
List video analyses
curl --request GET \
--url https://app.mavera.io/api/v1/video-analyses \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/video-analyses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/video-analyses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/video-analyses"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"object": "list",
"data": [
{
"id": "cly1abc2d0001abcdef123456",
"object": "video_analysis",
"status": "pending",
"created_at": 1706380800,
"video_url": "https://your-bucket.s3.amazonaws.com/ad-video.mp4",
"title": "Summer Campaign 2026",
"brand": "Acme Corp",
"product": "Summer Collection",
"primary_intent": "Persuasive",
"secondary_intent": "<string>",
"tertiary_intent": "<string>",
"goal": "<string>",
"chunk_duration": 2,
"frames_per_chunk": 4
}
],
"has_more": false,
"next_cursor": "<string>"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}